--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_007_neg.ksh	Wed Aug 31 16:20:46 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_007_neg.ksh	Wed Aug 31 16:20:46 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -41,7 +45,7 @@
 
 function cleanup {
 	if is_global_zone; then
-		log_must $ZFS set sharenfs=off $TESTPOOL/$TESTFS
+		log_must zfs set sharenfs=off $TESTPOOL/$TESTFS
 	fi
 }
 
@@ -57,9 +61,9 @@
 while (( i < ${#badopts[*]} ))
 do
 	log_note "Setting sharenfs=${badopts[i]} $i "
-	log_mustnot $ZFS set sharenfs="${badopts[i]}" $TESTPOOL/$TESTFS
+	log_mustnot zfs set sharenfs="${badopts[i]}" $TESTPOOL/$TESTFS
 
-	$SHARE | $GREP $option > /dev/null 2>&1
+	share | grep $option > /dev/null 2>&1
 	if (( $? == 0 )); then
 		log_fail "An invalid setting '$option' was propagated."
 	fi
@@ -72,7 +76,7 @@
 	#
 	if is_global_zone; then
 		log_note "Resetting sharenfs option"
-		log_must $ZFS set sharenfs=off $TESTPOOL/$TESTFS
+		log_must zfs set sharenfs=off $TESTPOOL/$TESTFS
 	fi
 
 	((i = i + 1))
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_008_neg.ksh	Wed Aug 31 16:20:46 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_008_neg.ksh	Wed Aug 31 16:20:46 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -49,7 +53,7 @@
 typeset -i i=0
 while (( i < ${#datasets[*]} ))
 do
-	log_mustnot $ZFS set sharenfs=on ${datasets[i]}
+	log_mustnot zfs set sharenfs=on ${datasets[i]}
 
 	option=`get_prop sharenfs ${datasets[i]}`
 	if [[ $option == ${datasets[i]} ]]; then
@@ -59,7 +63,7 @@
 	not_shared ${datasets[i]} || \
 	    log_fail "An invalid setting '$option' was propagated."
 
-	log_mustnot $ZFS share ${datasets[i]}
+	log_mustnot zfs share ${datasets[i]}
 
 	not_shared ${datasets[i]} || \
 	    log_fail "An invalid dataset '${datasets[i]}' was shared."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_009_neg.ksh	Wed Aug 31 16:20:46 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_009_neg.ksh	Wed Aug 31 16:20:46 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -45,7 +49,7 @@
 
 	val=$(get_prop sharenfs $fs)
 	if [[ $val == on ]]; then
-		log_must $ZFS set sharenfs=off $fs
+		log_must zfs set sharenfs=off $fs
 	fi
 }
 
@@ -56,14 +60,14 @@
 sharenfs_val=$(get_prop sharenfs $fs)
 mpt=$(get_prop mountpoint $fs)
 if [[ $sharenfs_val == off ]]; then
-	log_must $ZFS set sharenfs=on $fs
+	log_must zfs set sharenfs=on $fs
 fi
 
-$SHARE | $GREP $mpt >/dev/null 2>&1
+share | grep $mpt >/dev/null 2>&1
 if (( $? != 0 )); then
-	log_must $ZFS share $fs
+	log_must zfs share $fs
 fi
 
-log_mustnot $ZFS share $fs
+log_mustnot zfs share $fs
 
 log_pass "zfs share fails with shared filesystem as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_010_neg.ksh	Wed Aug 31 16:20:46 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_010_neg.ksh	Wed Aug 31 16:20:46 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -45,12 +49,12 @@
 set -A badargs "A" "-A" "-" "-x" "-?" "=" "-a *" "-a"
 
 for arg in "${badargs[@]}"; do
-	log_mustnot eval "$ZFS share $arg $fs >/dev/null 2>&1"
+	log_mustnot eval "zfs share $arg $fs >/dev/null 2>&1"
 done
 
 #zfs share failed when missing arguments or invalid datasetname
 for obj in "" "/$fs"; do
-	log_mustnot eval "$ZFS share $obj >/dev/null 2>&1"
+	log_mustnot eval "zfs share $obj >/dev/null 2>&1"
 done
 
 log_pass "zfs share fails with bad parameters as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_011_pos.ksh	Wed Aug 31 16:20:47 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_011_pos.ksh	Wed Aug 31 16:20:47 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -44,15 +48,15 @@
 {
 	log_must cd $origdir
 
-	log_must $ZFS set sharenfs=off $TESTPOOL/$TESTFS
+	log_must zfs set sharenfs=off $TESTPOOL/$TESTFS
 	unshare_fs $TESTPOOL/$TESTFS
 
 	if snapexists "$TESTPOOL/$TESTFS@snapshot"; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS@snapshot
+		log_must zfs destroy -f $TESTPOOL/$TESTFS@snapshot
 	fi
 
 	if datasetexists $TESTPOOL/$TESTFS/fs2 ; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS/fs2
+		log_must zfs destroy -f $TESTPOOL/$TESTFS/fs2
 	fi
 }
 
@@ -63,10 +67,10 @@
 typeset origdir=$PWD
 
 # unmount fails will not unshare the shared filesystem
-log_must $ZFS set sharenfs=on $TESTPOOL/$TESTFS
+log_must zfs set sharenfs=on $TESTPOOL/$TESTFS
 log_must is_shared $TESTDIR
 if cd $TESTDIR ; then
-	log_mustnot $ZFS umount $TESTPOOL/$TESTFS
+	log_mustnot zfs umount $TESTPOOL/$TESTFS
 else
 	log_fail "cd $TESTDIR fails"
 fi
@@ -73,9 +77,9 @@
 log_must is_shared $TESTDIR
 
 # destroy fails will not unshare the shared filesystem
-log_must $ZFS create $TESTPOOL/$TESTFS/fs2
+log_must zfs create $TESTPOOL/$TESTFS/fs2
 if cd $TESTDIR/fs2 ; then
-	log_mustnot $ZFS destroy $TESTPOOL/$TESTFS/fs2
+	log_mustnot zfs destroy $TESTPOOL/$TESTFS/fs2
 else
 	log_fail "cd $TESTDIR/fs2 fails"
 fi
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_001_neg.ksh	Wed Aug 31 16:20:47 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_001_neg.ksh	Wed Aug 31 16:20:47 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -76,7 +76,7 @@
 
 	for snap in $SNAPFS $SNAPFS1; do
 		if ! snapexists $snap; then
-			log_must $ZFS snapshot $snap
+			log_must zfs snapshot $snap
 		fi
 	done
 
@@ -89,13 +89,13 @@
 
 	while (( i < ${#args[*]} )); do
 		for snap in ${args[i]}; do
-			snapexists $snap && log_must $ZFS destroy -f $snap
+			snapexists $snap && log_must zfs destroy -f $snap
 		done
 		(( i = i + 1 ))
 	done
 
 	for mtpt in $SNAPDIR $SNAPDIR1; do
-		[[ -d $mtpt ]] && log_must $RM -rf $mtpt
+		[[ -d $mtpt ]] && log_must rm -rf $mtpt
 	done
 
 	return 0
@@ -109,7 +109,7 @@
 
 typeset -i i=0
 while (( i < ${#args[*]} )); do
-	log_mustnot $ZFS snapshot ${args[i]}
+	log_mustnot zfs snapshot ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_002_neg.ksh	Wed Aug 31 16:20:47 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_002_neg.ksh	Wed Aug 31 16:20:47 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -49,11 +54,11 @@
 		$TESTPOOL/$TESTCTR/$TESTVOL@$TESTSNAP;
 	do
 		snapexists $snap && \
-			log_must $ZFS destroy $snap
+			log_must zfs destroy $snap
 	done
 
 	datasetexists $TESTPOOL/$TESTCTR/$TESTVOL && \
-		log_must $ZFS destroy -rf $TESTPOOL/$TESTCTR/$TESTVOL
+		log_must zfs destroy -rf $TESTPOOL/$TESTCTR/$TESTVOL
 
 }
 
@@ -67,12 +72,12 @@
     "$TESTPOOL/$TESTCTR@$TESTSNAP@$TESTSNAP"
 
 # setup preparations
-log_must $ZFS snapshot $TESTPOOL/$TESTCTR/$TESTFS1@$TESTSNAP
+log_must zfs snapshot $TESTPOOL/$TESTCTR/$TESTFS1@$TESTSNAP
 
 # testing
 typeset -i i=0
 while (( i < ${#args[*]} )); do
-	log_mustnot $ZFS snapshot -r ${args[i]}
+	log_mustnot zfs snapshot -r ${args[i]}
 
 	((i = i + 1))
 done
@@ -80,14 +85,14 @@
 # Testing the invalid senario: the child volume already has an
 # identical name snapshot, zfs snapshot -r should fail when
 # creating snapshot with -r for the parent
-log_must $ZFS destroy $TESTPOOL/$TESTCTR/$TESTFS1@$TESTSNAP
+log_must zfs destroy $TESTPOOL/$TESTCTR/$TESTFS1@$TESTSNAP
 if is_global_zone; then
-	log_must $ZFS create -V $VOLSIZE $TESTPOOL/$TESTCTR/$TESTVOL
+	log_must zfs create -V $VOLSIZE $TESTPOOL/$TESTCTR/$TESTVOL
 else
-	log_must $ZFS create $TESTPOOL/$TESTCTR/$TESTVOL
+	log_must zfs create $TESTPOOL/$TESTCTR/$TESTVOL
 fi
-log_must $ZFS snapshot $TESTPOOL/$TESTCTR/$TESTVOL@$TESTSNAP
+log_must zfs snapshot $TESTPOOL/$TESTCTR/$TESTVOL@$TESTSNAP
 
-log_mustnot $ZFS snapshot -r $TESTPOOL/$TESTCTR@$TESTSNAP
+log_mustnot zfs snapshot -r $TESTPOOL/$TESTCTR@$TESTSNAP
 
 log_pass "'zfs snapshot -r' fails with invalid arguments or scenarios as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_003_neg.ksh	Wed Aug 31 16:20:47 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_003_neg.ksh	Wed Aug 31 16:20:47 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -48,14 +53,14 @@
 
 for ds in $TESTPOOL/$TESTFS $TESTPOOL/$TESTCTR $TESTPOOL/$TESTVOL; do
 	for opt in ${badopts[@]}; do
-		log_mustnot $ZFS snapshot $opt $ds@$TESTSNAP
+		log_mustnot zfs snapshot $opt $ds@$TESTSNAP
 	done
 
-	log_mustnot $ZFS snapshot $ds@snap $ds@snap1
-	log_mustnot $ZFS snapshot -r $ds@snap $ds@snap1
+	log_mustnot zfs snapshot $ds@snap $ds@snap1
+	log_mustnot zfs snapshot -r $ds@snap $ds@snap1
 
-	log_mustnot $ZFS snapshot $ds@$l_name
-	log_mustnot $ZFS snapshot -r $ds@$l_name
+	log_mustnot zfs snapshot $ds@$l_name
+	log_mustnot zfs snapshot -r $ds@$l_name
 done
 
 log_pass "'zfs snapshot' fails with bad options or too many arguments as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_004_neg.ksh	Wed Aug 31 16:20:47 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_004_neg.ksh	Wed Aug 31 16:20:47 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -41,7 +45,7 @@
 function cleanup
 {
 	if datasetexists $initfs ; then
-		log_must $ZFS destroy -rf $initfs
+		log_must zfs destroy -rf $initfs
 	fi
 }
 
@@ -52,12 +56,12 @@
 basefs=$initfs
 typeset -i ret=0 len snaplen
 while ((ret == 0)); do
-	$ZFS create $basefs
-	$ZFS snapshot $basefs@snap1
+	zfs create $basefs
+	zfs snapshot $basefs@snap1
 	ret=$?
 
 	if ((ret != 0)); then
-		len=$($ECHO $basefs| $WC -c)
+		len=$(echo $basefs| wc -c)
 		log_note "The deeply-nested filesystem len: $len"
 
 		#
@@ -67,10 +71,10 @@
 		#
 		if ((len >= 255)); then
 			if datasetexists $basefs; then
-				log_must $ZFS destroy -r $basefs
+				log_must zfs destroy -r $basefs
 			fi
 			basefs=${basefs%/*}
-			len=$($ECHO $basefs| $WC -c)
+			len=$(echo $basefs| wc -c)
 		fi
 		break
 	fi
@@ -81,7 +85,7 @@
 # Make snapshot name is longer than the max length
 ((snaplen = 256 - len + 10))
 snap=$(gen_dataset_name $snaplen "s")
-log_mustnot $ZFS snapshot -r $TESTPOOL@$snap
+log_mustnot zfs snapshot -r $TESTPOOL@$snap
 
 log_must datasetnonexists $TESTPOOL@$snap
 while [[ $basefs != $TESTPOOL ]]; do
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_005_neg.ksh	Wed Aug 31 16:20:47 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_005_neg.ksh	Wed Aug 31 16:20:47 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -42,7 +46,7 @@
 function cleanup
 {
 	if datasetexists $initfs ; then
-		log_must $ZFS destroy -rf $initfs
+		log_must zfs destroy -rf $initfs
 	fi
 }
 
@@ -53,12 +57,12 @@
 basefs=$initfs
 typeset -i ret=0 len snaplen
 while ((ret == 0)); do
-	$ZFS create $basefs
-	$ZFS snapshot $basefs@snap1
+	zfs create $basefs
+	zfs snapshot $basefs@snap1
 	ret=$?
 
 	if ((ret != 0)); then
-		len=$($ECHO $basefs | $WC -c)
+		len=$(echo $basefs | wc -c)
 		log_note "The deeply-nested filesystem len: $len"
 
 		#
@@ -68,10 +72,10 @@
 		#
 		if ((len >= 255)); then
 			if datasetexists $basefs; then
-				log_must $ZFS destroy -r $basefs
+				log_must zfs destroy -r $basefs
 			fi
 			basefs=${basefs%/*}
-			len=$($ECHO $basefs| $WC -c)
+			len=$(echo $basefs| wc -c)
 		fi
 		break
 	fi
@@ -82,11 +86,11 @@
 # Make snapshot name length match the longest one
 ((snaplen = 256 - len - 1)) # 1: @
 snap=$(gen_dataset_name $snaplen "s")
-log_must $ZFS snapshot $basefs@$snap
+log_must zfs snapshot $basefs@$snap
 
-log_mustnot $ZFS rename $basefs ${basefs}a
-log_mustnot $ZFS rename $basefs ${basefs}-new
-log_mustnot $ZFS rename $initfs ${initfs}-new
-log_mustnot $ZFS rename $TESTPOOL/$TESTFS $TESTPOOL/$TESTFS-new
+log_mustnot zfs rename $basefs ${basefs}a
+log_mustnot zfs rename $basefs ${basefs}-new
+log_mustnot zfs rename $initfs ${initfs}-new
+log_mustnot zfs rename $TESTPOOL/$TESTFS $TESTPOOL/$TESTFS-new
 
 log_pass "Verify long name filesystem with snapshot should not break ZFS."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_006_pos.ksh	Wed Aug 31 16:20:47 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_006_pos.ksh	Wed Aug 31 16:20:47 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
@@ -47,7 +47,7 @@
 	for fs in $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL $TESTPOOL ; do
 		typeset fssnap=$fs@snap
 		if datasetexists $fssnap ; then
-			log_must $ZFS destroy -rf $fssnap
+			log_must zfs destroy -rf $fssnap
 		fi
 	done
 	cleanup_user_prop $TESTPOOL
@@ -77,16 +77,16 @@
 	prop_name=$(valid_user_property 10)
 	value=$(user_property_value 16)
 
-	log_must eval "$ZFS snapshot -o $prop_name='$value' $fssnap"
+	log_must eval "zfs snapshot -o $prop_name='$value' $fssnap"
 	log_must snapexists $fssnap
 	log_mustnot nonexist_user_prop $prop_name $fssnap
 
-	log_must $ZFS destroy -f $fssnap
+	log_must zfs destroy -f $fssnap
 
 	prop_name2=$(valid_user_property 10)
 	value2=$(user_property_value 16)
 
-	log_must eval "$ZFS snapshot -o $prop_name='$value' -o $prop_name2='$value2' $fssnap"
+	log_must eval "zfs snapshot -o $prop_name='$value' -o $prop_name2='$value2' $fssnap"
 	log_must snapexists $fssnap
 	log_mustnot nonexist_user_prop $prop_name $fssnap
 	log_mustnot nonexist_user_prop $prop_name2 $fssnap
@@ -97,13 +97,13 @@
 prop_name=$(valid_user_property 10)
 value=$(user_property_value 16)
 
-log_must eval "$ZFS snapshot -r -o $prop_name='$value' $TESTPOOL@snap"
+log_must eval "zfs snapshot -r -o $prop_name='$value' $TESTPOOL@snap"
 for fs in $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL $TESTPOOL ; do
 	typeset fssnap=$fs@snap
 	log_must snapexists $fssnap
 	log_mustnot nonexist_user_prop $prop_name $fssnap
 
-	log_must $ZFS destroy -rf $fssnap
+	log_must zfs destroy -rf $fssnap
 done
 
 cleanup
@@ -111,7 +111,7 @@
 prop_name2=$(valid_user_property 10)
 value2=$(user_property_value 16)
 
-log_must eval "$ZFS snapshot -r -o $prop_name='$value' -o $prop_name2='$value2' $TESTPOOL@snap"
+log_must eval "zfs snapshot -r -o $prop_name='$value' -o $prop_name2='$value2' $TESTPOOL@snap"
 for fs in $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL $TESTPOOL ; do
 	typeset fssnap=$fs@snap
 	log_must snapexists $fssnap
@@ -118,7 +118,7 @@
 	log_mustnot nonexist_user_prop $prop_name $fssnap
 	log_mustnot nonexist_user_prop $prop_name2 $fssnap
 
-	log_must $ZFS destroy -rf $fssnap
+	log_must zfs destroy -rf $fssnap
 done
 
 log_pass "User property could be set upon snapshot via 'zfs snapshot -o'."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_007_neg.ksh	Wed Aug 31 16:20:47 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_007_neg.ksh	Wed Aug 31 16:20:47 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
 #
@@ -43,7 +47,7 @@
 	for fs in $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL $TESTPOOL/$TESTCTR $TESTPOOL ; do
 		typeset fssnap=$fs@snap
 		if datasetexists $fssnap ; then
-			log_must $ZFS destroy -rf $fssnap
+			log_must zfs destroy -rf $fssnap
 		fi
 	done
 	cleanup_user_prop $TESTPOOL
@@ -72,7 +76,7 @@
 	sharenfs checksum compression compress atime devices exec readonly rdonly \
 	setuid zoned"
 
-$ZFS upgrade -v > /dev/null 2>&1
+zfs upgrade -v > /dev/null 2>&1
 if [[ $? -eq 0 ]]; then
 	snap_ro_props="$snap_ro_props version"
 fi
@@ -83,21 +87,21 @@
 	prop_name=$(valid_user_property 10)
 	value=$(user_property_value 16)
 
-	log_must eval "$ZFS snapshot -o $prop_name='$value' $fssnap"
+	log_must eval "zfs snapshot -o $prop_name='$value' $fssnap"
 	log_must snapexists $fssnap
 	log_mustnot nonexist_user_prop $prop_name $fssnap
 
-	log_must $ZFS destroy -f $fssnap
+	log_must zfs destroy -f $fssnap
 
 	prop_name2=$(valid_user_property 10)
 	value2=$(user_property_value 16)
 
-	log_must eval "$ZFS snapshot -o $prop_name='$value' -o $prop_name2='$value2' $fssnap"
+	log_must eval "zfs snapshot -o $prop_name='$value' -o $prop_name2='$value2' $fssnap"
 	log_must snapexists $fssnap
 	log_mustnot nonexist_user_prop $prop_name $fssnap
 	log_mustnot nonexist_user_prop $prop_name2 $fssnap
 
-	log_must $ZFS destroy -f $fssnap
+	log_must zfs destroy -f $fssnap
 done
 
 cleanup
@@ -105,7 +109,7 @@
 prop_name=$(valid_user_property 10)
 value=$(user_property_value 16)
 
-log_must eval "$ZFS snapshot -r -o $prop_name='$value' $TESTPOOL@snap"
+log_must eval "zfs snapshot -r -o $prop_name='$value' $TESTPOOL@snap"
 for fs in $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL $TESTPOOL/$TESTCTR $TESTPOOL ; do
 	typeset fssnap=$fs@snap
 	log_must snapexists $fssnap
@@ -117,7 +121,7 @@
 prop_name2=$(valid_user_property 10)
 value2=$(user_property_value 16)
 
-log_must eval "$ZFS snapshot -r -o $prop_name='$value' -o $prop_name2='$value2' $TESTPOOL@snap"
+log_must eval "zfs snapshot -r -o $prop_name='$value' -o $prop_name2='$value2' $TESTPOOL@snap"
 for fs in $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL $TESTPOOL/$TESTCTR $TESTPOOL ; do
 	typeset fssnap=$fs@snap
 	log_must snapexists $fssnap
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_008_neg.ksh	Wed Aug 31 16:20:47 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_008_neg.ksh	Wed Aug 31 16:20:47 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_snapshot/zfs_snapshot.cfg
@@ -43,7 +43,7 @@
 {
 	for pool in $SNAPPOOL1 $SNAPPOOL2 ; do
 		if poolexists $pool ; then
-			log_must $ZPOOL destroy -f $pool
+			log_must zpool destroy -f $pool
 		fi
 	done
 
@@ -57,12 +57,12 @@
 log_assert "'zfs snapshot pool1@snap1 pool2@snap2' should fail since snapshots are in different pools."
 log_onexit cleanup
 
-log_must $MKFILE $MINVDEVSIZE $SNAPDEV1
-log_must $MKFILE $MINVDEVSIZE $SNAPDEV2
+log_must mkfile $MINVDEVSIZE $SNAPDEV1
+log_must mkfile $MINVDEVSIZE $SNAPDEV2
 
-log_must $ZPOOL create $SNAPPOOL1 $SNAPDEV1
-log_must $ZPOOL create $SNAPPOOL2 $SNAPDEV2
+log_must zpool create $SNAPPOOL1 $SNAPDEV1
+log_must zpool create $SNAPPOOL2 $SNAPDEV2
 
-log_mustnot $ZFS snapshot $SNAPPOOL1@snap1 $SNAPPOOL2@snap2
+log_mustnot zfs snapshot $SNAPPOOL1@snap1 $SNAPPOOL2@snap2
 
 log_pass "'zfs snapshot pool1@snap1 pool2@snap2' should fail since snapshots are in different pools."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_009_pos.ksh	Wed Aug 31 16:20:48 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_009_pos.ksh	Wed Aug 31 16:20:48 2016
@@ -11,7 +11,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -29,9 +29,9 @@
 function cleanup
 {
 	for ds in $datasets; do
-		datasetexists $ds && log_must $ZFS destroy -r $ds
+		datasetexists $ds && log_must zfs destroy -r $ds
 	done
-	$ZFS destroy -r $TESTPOOL/TESTFS4
+	zfs destroy -r $TESTPOOL/TESTFS4
 }
 datasets="$TESTPOOL/$TESTFS1 $TESTPOOL/$TESTFS2
     $TESTPOOL/$TESTFS3"
@@ -39,11 +39,11 @@
 invalid_args=("$TESTPOOL/$TESTFS1@now $TESTPOOL/$TESTFS2@now \
     $TESTPOOL/$TESTFS@blah?" "$TESTPOOL/$TESTFS1@blah* \
     $TESTPOOL/$TESTFS2@blah? $TESTPOOL/$TESTFS3@blah%" \
-    "$TESTPOOL/$TESTFS1@$($PYTHON -c 'print "x" * 300') $TESTPOOL/$TESTFS2@300 \
+    "$TESTPOOL/$TESTFS1@$(python -c 'print "x" * 300') $TESTPOOL/$TESTFS2@300 \
     $TESTPOOL/$TESTFS3@300")
 
 valid_args=("$TESTPOOL/$TESTFS1@snap $TESTPOOL/$TESTFS2@snap \
-    $TESTPOOL/$TESTFS3@snap" "$TESTPOOL/$TESTFS1@$($PYTHON -c 'print "x" * 200')\
+    $TESTPOOL/$TESTFS3@snap" "$TESTPOOL/$TESTFS1@$(python -c 'print "x" * 200')\
     $TESTPOOL/$TESTFS2@2 $TESTPOOL/$TESTFS3@s")
 
 log_assert "verify zfs supports multiple consistent snapshots"
@@ -53,15 +53,15 @@
 
 log_note "destroy a list of valid snapshots"
 for ds in $datasets; do
-	log_must $ZFS create $ds
-	log_must $CP -r $test_data /$ds
+	log_must zfs create $ds
+	log_must cp -r $test_data /$ds
 done
 i=0
 while (( i < ${#valid_args[*]} )); do
-	log_must $ZFS snapshot ${valid_args[i]}
+	log_must zfs snapshot ${valid_args[i]}
 	for token in ${valid_args[i]}; do
 		log_must snapexists $token && \
-		    log_must $ZFS destroy $token
+		    log_must zfs destroy $token
 	done
 	((i = i + 1))
 done
@@ -68,7 +68,7 @@
 log_note "destroy a list of invalid snapshots"
 i=0
 while (( i < ${#invalid_args[*]} )); do
-	log_mustnot $ZFS snapshot ${invalid_args[i]}
+	log_mustnot zfs snapshot ${invalid_args[i]}
 	for token in ${invalid_args[i]}; do
 		log_mustnot snapexists $token
 	done
@@ -75,28 +75,28 @@
 	((i = i + 1))
 done
 log_note "verify multiple snapshot transaction group"
-txg_group=$($ZDB -Pd $TESTPOOL | $GREP snap | $AWK '{print $7}')
+txg_group=$(zdb -Pd $TESTPOOL | grep snap | awk '{print $7}')
 for i in 1 2 3; do
-	txg_tag=$($ECHO "$txg_group" | $NAWK -v j=$i 'FNR == j {print}')
-	[[ $txg_tag != $($ECHO "$txg_group" | \
-	    $NAWK -v j=$i 'FNR == j {print}') ]] \
+	txg_tag=$(echo "$txg_group" | nawk -v j=$i 'FNR == j {print}')
+	[[ $txg_tag != $(echo "$txg_group" | \
+	    nawk -v j=$i 'FNR == j {print}') ]] \
 	    && log_fail "snapshots belong to differnt transaction groups"
 done
 log_note "verify snapshot contents"
 for ds in $datasets; do
-	status=$($DIRCMP /$ds /$ds/.zfs/snapshot/snap | $GREP "different")
+	status=$(dircmp /$ds /$ds/.zfs/snapshot/snap | grep "different")
 	[[ -z $status ]] || log_fail "snapshot contents are different from" \
 	    "the filesystem"
 done
 
 log_note "verify multiple snapshot with -r option"
-log_must $ZFS create $TESTPOOL/TESTFS4
-log_must $ZFS create -p $TESTPOOL/$TESTFS3/TESTFSA$($PYTHON -c 'print "x" * 210')/TESTFSB
-log_mustnot $ZFS snapshot -r $TESTPOOL/$TESTFS1@snap1 $TESTPOOL/$TESTFS2@snap1 \
+log_must zfs create $TESTPOOL/TESTFS4
+log_must zfs create -p $TESTPOOL/$TESTFS3/TESTFSA$(python -c 'print "x" * 210')/TESTFSB
+log_mustnot zfs snapshot -r $TESTPOOL/$TESTFS1@snap1 $TESTPOOL/$TESTFS2@snap1 \
         $TESTPOOL/$TESTFS3@snap1 $TESTPOOL/TESTFS4@snap1
-log_must $ZFS rename  $TESTPOOL/$TESTFS3/TESTFSA$($PYTHON -c 'print "x" * 210') \
+log_must zfs rename  $TESTPOOL/$TESTFS3/TESTFSA$(python -c 'print "x" * 210') \
     $TESTPOOL/$TESTFS3/TESTFSA
-log_must $ZFS snapshot -r $TESTPOOL/$TESTFS1@snap1 $TESTPOOL/$TESTFS2@snap1 \
+log_must zfs snapshot -r $TESTPOOL/$TESTFS1@snap1 $TESTPOOL/$TESTFS2@snap1 \
         $TESTPOOL/$TESTFS3@snap1 $TESTPOOL/TESTFS4@snap1
 
 log_pass "zfs multiple snapshot verified correctly"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount.kshlib	Wed Aug 31 16:20:48 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount.kshlib	Wed Aug 31 16:20:48 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_unmount/zfs_unmount.cfg
@@ -42,19 +42,19 @@
 	mounted $mnt || wasmounted=0
 
 	if (( expect == 0 )) ; then
-		log_must $ZFS $cmd $opt $mnt
+		log_must zfs $cmd $opt $mnt
 
 		log_must unmounted $mnt
 
-		log_note "Successfully $ZFS $cmd $opt $mnt"
+		log_note "Successfully zfs $cmd $opt $mnt"
 
 	else
-		log_note "$ZFS $cmd $opt $mnt"
+		log_note "zfs $cmd $opt $mnt"
 
-		$ZFS $cmd $opt $mnt
+		zfs $cmd $opt $mnt
 		ret=$?
 		if (( ret != expect)); then
-			log_fail "'$ZFS $cmd $opt $mnt' " \
+			log_fail "'zfs $cmd $opt $mnt' " \
 				"unexpected return code of $ret."
 		fi
 
@@ -71,7 +71,7 @@
 {
 	[[ -n $cwd ]] && cd $cwd
 
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 	mounted $TESTPOOL/$TESTFS || \
-		log_must $ZFS $mountcmd $TESTPOOL/$TESTFS
+		log_must zfs $mountcmd $TESTPOOL/$TESTFS
 }
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_001_pos.ksh	Wed Aug 31 16:20:48 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_001_pos.ksh	Wed Aug 31 16:20:48 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -47,13 +52,13 @@
 function cleanup
 {
 	mounted $TESTDIR2 && \
-		log_must $ZFS umount -f $TESTDIR2
+		log_must zfs umount -f $TESTDIR2
 
 	datasetexists $TESTPOOL/$TESTFS2 && \
-		log_must $ZFS destroy $TESTPOOL/$TESTFS2
+		log_must zfs destroy $TESTPOOL/$TESTFS2
 
 	[[ -d $TESTDIR2 ]] && \
-		log_must $RM -rf $TESTDIR2
+		log_must rm -rf $TESTDIR2
 }
 function do_unmount
 {
@@ -62,18 +67,18 @@
 	typeset mnt=$3
 
 	[[ ! -d $TESTDIR2 ]] && \
-	    log_must $MKDIR $TESTDIR2
+	    log_must mkdir $TESTDIR2
 
 	if ! datasetexists $TESTPOOL/$TESTFS2 ; then
-		log_must $ZFS create $TESTPOOL/$TESTFS2
-		log_must $ZFS set mountpoint=$TESTDIR2 \
+		log_must zfs create $TESTPOOL/$TESTFS2
+		log_must zfs set mountpoint=$TESTDIR2 \
 		    $TESTPOOL/$TESTFS2
 	fi
 
 	unmounted $TESTPOOL/$TESTFS2 && \
-		log_must $ZFS mount $TESTPOOL/$TESTFS2
+		log_must zfs mount $TESTPOOL/$TESTFS2
 
-	log_must $ZFS $cmd $options $mnt
+	log_must zfs $cmd $options $mnt
 
 	unmounted "$mnt" || \
 		log_fail "Unable to unmount $options $mnt"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_002_pos.ksh	Wed Aug 31 16:20:48 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_002_pos.ksh	Wed Aug 31 16:20:48 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_unmount/zfs_unmount.kshlib
 
@@ -66,7 +70,7 @@
 		j=0
 		while (( j < ${#dev[*]} )); do
 			log_note "Make sure ${dev[j]} is not in 'zfs list'"
-			log_mustnot $ZFS list ${dev[j]}
+			log_mustnot zfs list ${dev[j]}
 
 			do_unmount "${cmd[i]}" "$opt" \
 				"${dev[j]}" $expect
@@ -78,7 +82,7 @@
 	done
 }
 
-log_assert "Verify that '$ZFS $unmountcmd [-f] <filesystem|mountpoint>' " \
+log_assert "Verify that 'zfs $unmountcmd [-f] <filesystem|mountpoint>' " \
 	"whose name is not in 'zfs list' will fail with return code 1."
 
 log_onexit cleanup
@@ -90,5 +94,5 @@
 	((i = i + 1))
 done
 
-log_pass "'$ZFS $unmountcmd [-f] <filesystem|mountpoint>' " \
+log_pass "'zfs $unmountcmd [-f] <filesystem|mountpoint>' " \
 	"whose name is not in 'zfs list' failed with return code 1."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_003_pos.ksh	Wed Aug 31 16:20:48 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_003_pos.ksh	Wed Aug 31 16:20:48 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_unmount/zfs_unmount.kshlib
 
@@ -68,7 +72,7 @@
 		j=0
 		while (( j < ${#dev[*]} )); do
 			[[ -n $mopt ]] && \
-				log_must $ZFS set mountpoint=$mopt ${dev[0]}
+				log_must zfs set mountpoint=$mopt ${dev[0]}
 
 			do_unmount "${cmd[i]}" "$opt" \
 				"${dev[j]}" $expect
@@ -82,7 +86,7 @@
 	done
 }
 
-log_assert "Verify that '$ZFS $unmountcmd [-f] <filesystem|mountpoint>' " \
+log_assert "Verify that 'zfs $unmountcmd [-f] <filesystem|mountpoint>' " \
 	"whose mountpoint property is 'legacy' or 'none' " \
 	"will fail with return code 1."
 
@@ -100,6 +104,6 @@
 	((i = i + 1))
 done
 
-log_pass "'$ZFS $unmountcmd [-f] <filesystem|mountpoint>' " \
+log_pass "'zfs $unmountcmd [-f] <filesystem|mountpoint>' " \
 	"whose mountpoint property is 'legacy' or 'none' " \
 	"will fail with return code 1."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_004_pos.ksh	Wed Aug 31 16:20:48 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_004_pos.ksh	Wed Aug 31 16:20:48 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_unmount/zfs_unmount.kshlib
 
@@ -67,7 +71,7 @@
 		j=0
 		while (( j < ${#dev[*]} )); do
 			unmounted ${dev[j]} || \
-				log_must $ZFS $unmountforce ${dev[j]}
+				log_must zfs $unmountforce ${dev[j]}
 
 			do_unmount "${cmd[i]}" "$opt" \
 				"${dev[j]}" $expect
@@ -79,7 +83,7 @@
 	done
 }
 
-log_assert "Verify that '$ZFS $unmountcmd [-f] <filesystem|mountpoint>' " \
+log_assert "Verify that 'zfs $unmountcmd [-f] <filesystem|mountpoint>' " \
 	"with an unmounted filesystem will fail with return code 1."
 
 log_onexit cleanup
@@ -91,5 +95,5 @@
 	((i = i + 1))
 done
 
-log_pass "'$ZFS $unmountcmd [-f] <filesystem|mountpoint>' " \
+log_pass "'zfs $unmountcmd [-f] <filesystem|mountpoint>' " \
 	"with an unmounted filesystem failed with return code 1."
